Régebbi Ubuntu verziók használata

A Ubuwiki wikiből

Sokan vannak, akik a gépük kora, teljesítménye, vagy csak egyszerűen kíváncsiság folytán régebbi, már lejárt támogatású rendszert szeretnének használni. Letöltés és telepítés után lép fel az a probléma, hogy rendszerünkre nem tudunk további programokat telepíteni. Ilyenkor a tárolók elérhetetlenségére hivatkozik.

Ennek oka, hogy a lejárt támogatású rendszerek tárolói átkerülnek az úgynevezett „old-release” részbe.

A probléma megoldása egyszerű, szerkesztenünk kell a forrásfájlunkat.

Nyissuk meg rendszergazdai joggal, írjuk be a terminálba:

gksu gedit /etc/apt/sources.list

Módosítsuk a fájl tartalmát ez alapján, vagy csak írjuk át a tároló nevének elejét old-releases-re (a megadott minta alapján).

deb http://old-releases.ubuntu.com/ubuntu/ CODENAME main restricted universe multiverse
deb http://old-releases.ubuntu.com/ubuntu/ CODENAME-updates main restricted universe multiverse
deb http://old-releases.ubuntu.com/ubuntu/ CODENAME-security main restricted universe multiverse
# Optional
#deb http://old-releases.ubuntu.com/ubuntu/ CODENAME-backports main restricted universe multiverse

Természetesen a CODENAME helyére a telepített rendszerünk kódneve kerül.

Mentsük el a változtatásokat, és zárjuk be a szövegszerkesztőt. Futtassunk le utána a terminálban egy

sudo apt-get update

parancsot, hogy lefrissítsük a csomaglistánkat. Ha nem kapunk hibaüzenetet, akkor már telepíthetünk csomagokat a tárolóból.

Források

Személyes eszközök